summaryrefslogtreecommitdiffstats
path: root/network/kvirc
diff options
context:
space:
mode:
author Elvio Basello (HelLViS69) <hellvis69@slackware.it>2010-05-11 22:54:52 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:52 +0200
commit88ffccc4157e33013e800c09dfb10e84e2dd5ede (patch)
tree54c879f0c57524f8690f9901716991aab1e3f7df /network/kvirc
parentc672b9454eea3fbd31a8b78975e928e33ea1e1f1 (diff)
downloadslackbuilds-88ffccc4157e33013e800c09dfb10e84e2dd5ede.tar.gz
slackbuilds-88ffccc4157e33013e800c09dfb10e84e2dd5ede.tar.xz
network/kvirc: Added to 12.1 repository
Diffstat (limited to 'network/kvirc')
-rw-r--r--network/kvirc/README10
-rw-r--r--network/kvirc/kvirc.SlackBuild94
-rw-r--r--network/kvirc/kvirc.info8
-rw-r--r--network/kvirc/slack-desc11
4 files changed, 123 insertions, 0 deletions
diff --git a/network/kvirc/README b/network/kvirc/README
new file mode 100644
index 0000000000..97b84a5005
--- /dev/null
+++ b/network/kvirc/README
@@ -0,0 +1,10 @@
+KVIrc is the K-Visual IRC Client. It's a free portable Internet Relay
+Chat client based on the excellent Qt GUI toolkit. KVIrc is being written
+by Szymon Stefanek and The KVIrc Development Team with the contribution
+of many IRC addicted developers around the world. It has a full GUI
+based configuration, floatable windows, built-in help browser, addons and
+themes support (configurable from GUI or scripting), transparency support,
+dran'n'drop toolbar editing, activity notifier as well as proxy support,
+SSL and IPv6 sockets support, a modular arch which loads modules only when
+necessary and a huge API for writing extensions
+
diff --git a/network/kvirc/kvirc.SlackBuild b/network/kvirc/kvirc.SlackBuild
new file mode 100644
index 0000000000..3ec1009e30
--- /dev/null
+++ b/network/kvirc/kvirc.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for KVIrc
+
+# Copyright 2008 Elvio "HelLViS69" Basello <hellvis69@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=kvirc
+VERSION=${VERSION:-3.4.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar jxvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-big-channels \
+ --with-x \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries and libraries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc (and a custom doinst.sh if necessary) into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Make the package; be sure to leave it in $OUTPUT
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/network/kvirc/kvirc.info b/network/kvirc/kvirc.info
new file mode 100644
index 0000000000..fd1bce9cc5
--- /dev/null
+++ b/network/kvirc/kvirc.info
@@ -0,0 +1,8 @@
+PRGNAM="kvirc"
+VERSION="3.4.2"
+HOMEPAGE="http://kvirc.net"
+DOWNLOAD="ftp://ftp.kvirc.de/pub/kvirc/3.4.2/source/kvirc-3.4.2.tar.bz2"
+MD5SUM="cc1839c54f6c1bf9a15e169f3213a0a7"
+MAINTAINER="Elvio Basello (HelLViS69)"
+EMAIL="hellvis69@slackware.it"
+APPROVED="David Somero"
diff --git a/network/kvirc/slack-desc b/network/kvirc/slack-desc
new file mode 100644
index 0000000000..9e89db3e16
--- /dev/null
+++ b/network/kvirc/slack-desc
@@ -0,0 +1,11 @@
+kvirc: KVIrc (The K-Visual IRC Client)
+kvirc:
+kvirc: KVIrc is a free portable Internet Relay Chat client based
+kvirc: on the excellent Qt GUI toolkit. KVIrc is being written by
+kvirc: Szymon Stefanek and The KVIrc Development Team with the
+kvirc: contribution of many IRC addicted developers around the
+kvirc: world
+kvirc:
+kvirc: Homepage: http://kvirc.net
+kvirc:
+kvirc: